## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.9.0

# Passed to %%gobuild via the environment variable BUILDTAGS. Add the source or
# database build tag to this macro to include it in the build.
%global _gobuildtags file iofs sqlite3 postgres

# https://github.com/golang-migrate/migrate
%global goipath         github.com/golang-migrate/migrate
Version:                4.16.2

%gometa -f

%global common_description %{expand:
Go database migrations library and program.}

%global golicenses      LICENSE
%global godocs          CONTRIBUTING.md FAQ.md GETTING_STARTED.md MIGRATIONS.md README.md SECURITY.md cmd/migrate/README.md database/sqlite3/README.md source/iofs/README.md

Name:           %{goname}
Release:        %autorelease
Summary:        Go database migrations library and program

License:        MIT
URL:            %{gourl}
Source:         %{gosource}

# Do not use %%go_generate_buildrequires; the list of built-in sources and
# databases is maintained manually.

# General dependencies
BuildRequires: golang(github.com/hashicorp/go-multierror)
BuildRequires: golang(go.uber.org/atomic)
BuildRequires: golang(github.com/stretchr/testify/assert)

# Database dependencies
BuildRequires: golang(github.com/lib/pq)
BuildRequires: golang(github.com/mattn/go-sqlite3)

# Source dependencies

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

%build
for cmd in cmd/* ; do
  BUILDTAGS="%{_gobuildtags}" %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%check
# Tests are skipped because they rely on dktest, a container testing harness
# that expects to have access to the Internet as well as a running docker daemon
# on the test host.

%files
%license LICENSE
%doc %godocs
%{_bindir}/*

%gopkgfiles

%changelog
* Thu Jun 29 2023 Link Dupont <linkdupont@fedoraproject.org> - 4.16.2-1
- Uncommitted changes
